InteractiveAnnotationBuilder Class

class NXOpen.Features.ShipDesign.InteractiveAnnotationBuilder

Bases: NXOpen.Builder

Represents a NXOpen.Features.ShipDesign.InteractiveAnnotationBuilder builder .

This builder returns None. To create a new instance of this class, use NXOpen.Features.ShipCollection.CreateInteractiveAnnotationBuilder()

New in version NX11.0.0.

Properties

Property Description
Tag Returns the Tag for this object.

Methods

Method Description
AddAnnotationOfBracket Add annotation of bracket
AddAnnotationOfEndCuts Add annotation of end cuts.
AddAnnotationOfExpansionPlate Add annotation of expansion plate
AddAnnotationOfExpansionStiffenerEndCuts Add annotation of expansion stiffener endcuts
AddAnnotationOfExpansionStiffenerSturctureIdAndScantling Add annotation of structure ID and scantling on Ship Expansion View
AddAnnotationOfOpeningFillingLine Add annotation of opening filling line
AddAnnotationOfSeamForDetailDesign Add annotation of seam symbol for detail design
AddAnnotationOfStructureIdAndScantling Add annotations of sturcture ID And scantling.
AddFillingLineByChain Adds opening filling lines by curve chain method.
AddFillingLineByPoints Adds opening filling lines by points method.
Commit Commits any edits that have been applied to the builder.
DeleteExistingAnnotations Deletes the existing annotations excluding the opening filling lines.
DeleteOpeningFillingLine Deletes the specific opening filling line.
Destroy Deletes the builder, and cleans up any objects created by the builder.
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetObject Returns the object currently being edited by this builder.
HandleAnnotationForBasicDesign Creates ship annotations for basic design structures.
HandleSeamForNonSectionedPlateForBasicDesign Add annotation of seam symbol for non-sectioned plate for basic design
HandleSeamForSectionedPlateForBasicDesign Add annotation of seam symbol for sectioned plate for basic design
ModifyFillingLineByPoints Modifies the position of opening filling line, which is created by points method.
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Method Detail

AddAnnotationOfBracket

InteractiveAnnotationBuilder.AddAnnotationOfBracket

Add annotation of bracket

Signature AddAnnotationOfBracket(createBracketSymbol, draftingbody)

Parameters:

New in version NX11.0.0.

License requirements: nx_ship_drafting (“Ship Drafting”)

AddAnnotationOfEndCuts

InteractiveAnnotationBuilder.AddAnnotationOfEndCuts

Add annotation of end cuts.

Signature AddAnnotationOfEndCuts(createEndCutsSymbol, draftingBody)

Parameters:

New in version NX11.0.0.

License requirements: nx_ship_drafting (“Ship Drafting”)

AddAnnotationOfExpansionPlate

InteractiveAnnotationBuilder.AddAnnotationOfExpansionPlate

Add annotation of expansion plate

Signature AddAnnotationOfExpansionPlate(tgView, shipStructure, createScantlingAnnotation)

Parameters:
  • tgView (NXOpen.Drawings.DraftingView) – The Ship Expansion View
  • shipStructure (NXOpen.NXObject) – The Ship Structure on that the annotation will create.
  • createScantlingAnnotation (bool) – Create Scantling Annotation or not

New in version NX11.0.0.

License requirements: nx_ship_drafting (“Ship Drafting”)

AddAnnotationOfExpansionStiffenerEndCuts

InteractiveAnnotationBuilder.AddAnnotationOfExpansionStiffenerEndCuts

Add annotation of expansion stiffener endcuts

Signature AddAnnotationOfExpansionStiffenerEndCuts(tgView, shipStructure, createEndCutsSymbol)

Parameters:
  • tgView (NXOpen.Drawings.DraftingView) – The Ship Expansion View
  • shipStructure (NXOpen.NXObject) – The Ship Structure on that the annotation will create.
  • createEndCutsSymbol (bool) – Create End Cuts Symbol or not

New in version NX11.0.0.

License requirements: nx_ship_drafting (“Ship Drafting”)

AddAnnotationOfExpansionStiffenerSturctureIdAndScantling

InteractiveAnnotationBuilder.AddAnnotationOfExpansionStiffenerSturctureIdAndScantling

Add annotation of structure ID and scantling on Ship Expansion View

Signature AddAnnotationOfExpansionStiffenerSturctureIdAndScantling(tgView, shipStructure, createIDAnnotation, createScantlingAnnotation)

Parameters:
  • tgView (NXOpen.Drawings.DraftingView) – The Ship Expansion View
  • shipStructure (NXOpen.NXObject) – The Ship Structure on that the annotation will create.
  • createIDAnnotation (bool) – Create ID annotation or not
  • createScantlingAnnotation (bool) – Create Scantling Annotation or not

New in version NX11.0.0.

License requirements: nx_ship_drafting (“Ship Drafting”)

AddAnnotationOfOpeningFillingLine

InteractiveAnnotationBuilder.AddAnnotationOfOpeningFillingLine

Add annotation of opening filling line

Signature AddAnnotationOfOpeningFillingLine(createOpeningFillingLine, draftingbody)

Parameters:

New in version NX11.0.0.

License requirements: nx_ship_drafting (“Ship Drafting”)

AddAnnotationOfSeamForDetailDesign

InteractiveAnnotationBuilder.AddAnnotationOfSeamForDetailDesign

Add annotation of seam symbol for detail design

Signature AddAnnotationOfSeamForDetailDesign(createSeamSymbol, tgView, objects, selectedObjecty)

Parameters:

New in version NX11.0.0.

License requirements: nx_ship_drafting (“Ship Drafting”)

AddAnnotationOfStructureIdAndScantling

InteractiveAnnotationBuilder.AddAnnotationOfStructureIdAndScantling

Add annotations of sturcture ID And scantling.

Signature AddAnnotationOfStructureIdAndScantling(createIDAnnotation, createScantlingAnnotation, draftingBody)

Parameters:
  • createIDAnnotation (bool) – Create ID annotation or not
  • createScantlingAnnotation (bool) – Create Scantling annotation or not
  • draftingBody (NXOpen.Drawings.DraftingBody) –

New in version NX11.0.0.

License requirements: nx_ship_drafting (“Ship Drafting”)

AddFillingLineByChain

InteractiveAnnotationBuilder.AddFillingLineByChain

Adds opening filling lines by curve chain method.

Signature AddFillingLineByChain(curves, createChainAnnotation)

Parameters:

New in version NX11.0.0.

License requirements: nx_ship_drafting (“Ship Drafting”)

AddFillingLineByPoints

InteractiveAnnotationBuilder.AddFillingLineByPoints

Adds opening filling lines by points method.

Signature AddFillingLineByPoints(spiderPoint, strikingPoint)

Parameters:
Returns:

Create line by points

Return type:

NXOpen.Line

New in version NX11.0.0.

License requirements: nx_ship_drafting (“Ship Drafting”)

DeleteExistingAnnotations

InteractiveAnnotationBuilder.DeleteExistingAnnotations

Deletes the existing annotations excluding the opening filling lines.

Signature DeleteExistingAnnotations()

New in version NX11.0.0.

License requirements: nx_ship_drafting (“Ship Drafting”)

DeleteOpeningFillingLine

InteractiveAnnotationBuilder.DeleteOpeningFillingLine

Deletes the specific opening filling line.

Signature DeleteOpeningFillingLine(line)

Parameters:line (NXOpen.Line) –

New in version NX11.0.0.

License requirements: nx_ship_drafting (“Ship Drafting”)

HandleAnnotationForBasicDesign

InteractiveAnnotationBuilder.HandleAnnotationForBasicDesign

Creates ship annotations for basic design structures.

Signature HandleAnnotationForBasicDesign(createIDAnnotation, createScantlingAnnotation, createEndCutsAnnotation, draftingVDCurve, shipEntity, view)

Parameters:
Returns:

The ship entity annotation, entity type can be NXOpen.Body or NXOpen.Face

Return type:

NXOpen.NXObject

New in version NX11.0.0.

License requirements: nx_ship_drafting (“Ship Drafting”)

HandleSeamForNonSectionedPlateForBasicDesign

InteractiveAnnotationBuilder.HandleSeamForNonSectionedPlateForBasicDesign

Add annotation of seam symbol for non-sectioned plate for basic design

Signature HandleSeamForNonSectionedPlateForBasicDesign(createSeamSymbol, draftingVDCurve, tgCurve)

Parameters:

New in version NX11.0.0.

License requirements: nx_ship_drafting (“Ship Drafting”)

HandleSeamForSectionedPlateForBasicDesign

InteractiveAnnotationBuilder.HandleSeamForSectionedPlateForBasicDesign

Add annotation of seam symbol for sectioned plate for basic design

Signature HandleSeamForSectionedPlateForBasicDesign(createSeamSymbol, tgDraftingBody, objects, selectedObject)

Parameters:

New in version NX11.0.0.

License requirements: nx_ship_drafting (“Ship Drafting”)

ModifyFillingLineByPoints

InteractiveAnnotationBuilder.ModifyFillingLineByPoints

Modifies the position of opening filling line, which is created by points method.

Signature ModifyFillingLineByPoints(spiderPoint, strikingPoint, line)

Parameters:

New in version NX11.0.0.

License requirements: nx_ship_drafting (“Ship Drafting”)

Validate

InteractiveAnnotationBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.